{
  description = "teapot is a static site generator using pure nix";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    markdoll.url = "git+https://codeberg.org/0x57e11a/markdoll.git";
  };

  outputs = { self, nixpkgs, flake-utils, ... }@inputs:
    flake-utils.lib.eachDefaultSystem (system: let 
      pkgs = import nixpkgs { inherit system; };
    in {
      packages = import ./default.nix { inherit pkgs inputs; };
    });
}